Bug 1118623 - [doc] Need a Configuration/Installation steps/script in case of removing brick(and also removing node from cluster) from hadoop enabled volume and cluster.
Summary: [doc] Need a Configuration/Installation steps/script in case of removing bric...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhs-hadoop-install
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: Release Candidate
: ---
Assignee: Steve Watt
QA Contact: amainkar
URL:
Whiteboard:
Depends On:
Blocks: 1159155
TreeView+ depends on / blocked
 
Reported: 2014-07-11 07:50 UTC by Rachana Patel
Modified: 2015-04-20 11:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-24 11:54:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:1275 normal SHIPPED_LIVE Red Hat Storage Server 3 Hadoop plug-in enhancement update 2014-11-24 16:53:36 UTC

Description Rachana Patel 2014-07-11 07:50:12 UTC
Description of problem:
=======================
Use case:-
remove brick and also node from hadoop enabled volume/cluster.

we don't have script or steps documented for the above case.
What setup/configuration needs to be done ?( for removing it from cluster as well as changed needs to be done in Ambari setup)

Comment 2 Jeff Vance 2014-07-11 17:21:52 UTC
This is a doc issue as we have no plans to automate the steps needed to scale down a storage pool. Note that you need to remove storage nodes in multiples of the replica count, which is always 2 for RHS.

Here are the manual steps to remove 2 servers from an existing pool:
(Assume the volume is HadoopVol, the servers to be removed are old-node1 and old-node2, and the brick is named /mnt/brick2)

1) run the gluster cli from any of the storage nodes:
   gluster volume remove-brick HadoopVol old-node1:/mnt/brick2 \
           old-node2:/mnt/brick2
   NOTE: the data on these 2 servers in not accessible via gluster and a re-
         balancing of data is likely required.

2) run the gluster cli on an existing storage node to detach the two old nodes:
   gluster peer detach old-node1
   gluster peer detach old-node2

3) rebalance the volume using the gluster cli on one of the storage nodes:
   gluster volume rebalance HadoopVol start

   The progress of the rebalancing can be seen via:
   gluster volume rebalance HadoopVol status

4) remove the old nodes from Ambari:
   go to the "HOSTS" tab in Ambari and select "remove host"

Comment 3 Steve Watt 2014-07-11 18:41:03 UTC
I have added these instructions to the internal installation guide. They will be moved to the Administrative guide by the time we release.

Comment 4 Erin Boyd 2014-07-11 20:02:08 UTC
4) 4) remove the old nodes from Ambari:
   go to the "HOSTS" tab in Ambari and select "Host Actions" on the right hand side.  A dropdown will appear.  Select "Delete Host"

Comment 5 Ondřej Komárek 2014-08-05 13:12:32 UTC
Please modify point 4) as Erin suggested. I would also recommend to add to his text like "click on host you would like to delete" just before "and select Host Actions" because there is actually no 'Host Actions' button in Hosts tab, it appears after clicking on any hostname.

Comment 6 Steve Watt 2014-09-05 15:01:11 UTC
Done

Comment 7 Ondřej Komárek 2014-09-09 14:18:13 UTC
Please provide me a link to document, where was change done - we are working with few doc. versions on different sites (mojo, docbuilder, etc..). Is it point 4. in this one [1]? If yes, there were not added text proposed in comment #5 - description of action is not entirely correct right now in doc. I cant see log of changes on documentation-devel to verify this-


[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Storage/3/html-single/Administration_Guide/index.html#Scaling_Down

Comment 9 Ondřej Komárek 2014-11-07 12:41:20 UTC
I assumed, that change was done in Administration Guide [1] located on documentation-devel. Scaling down section was updated like others and I suggested and it seems to be correct and verbose enough.

Documentation was updated, this issue is fixed -> VERIFIED


[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Storage/3/html-single/Administration_Guide/index.html#Scaling_Down

Comment 10 errata-xmlrpc 2014-11-24 11:54:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2014-1275.html


Note You need to log in before you can comment on or make changes to this bug.